%define		_class		PEAR
%define		_subclass	PackageFileManager2
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:     	1.0.4
Release:     	%mkrel 5
Summary:    	PEAR_PackageFileManager2 takes an existing v2 package.xml file and updates it with a new filelist and changelog
License: 	New BSD License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/PEAR_PackageFileManager2-%{version}.tgz
URL: 		http://pear.php.net/package/PEAR_PackageFileManager2
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear-PEAR_PackageFileManager_Plugins
Requires:	php-pear >= 1.8.0
BuildArch:      noarch
Obsoletes:      php-pear-PackageFileManager2

%description
This package revolutionizes the maintenance of PEAR packages.  With a few
parameters,
the entire v2 package.xml is automatically updated with a listing of all
files in a package.
Features include
 - manages the new package.xml 2.0 format in PEAR 1.4.0
 - can detect PHP and extension dependencies using PHP_CompatInfo
 - reads in an existing package.xml file, and only changes the
release/changelog
 - a plugin system for retrieving files in a directory.  Currently four
plugins
   exist, one for standard recursive directory content listing, one that
   reads the CVS/Entries files and generates a file listing based on the
contents
   of a checked out CVS repository, one that reads Subversion entries
files, and
   one that queries a Perforce repository.
 - incredibly flexible options for assigning install roles to
files/directories
 - ability to ignore any file based on a * ? wildcard-enabled string(s)
 - ability to include only files that match a * ? wildcard-enabled
string(s)
 - ability to manage dependencies
 - can output the package.xml in any directory, and read in the package.xml
   file from any directory.
 - can specify a different name for the package.xml file

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PEAR_PackageFileManager2.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/PEAR_PackageFileManager2.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/PEAR_PackageFileManager2
fi

%files
%doc docs/PEAR_PackageFileManager2/*
%{peardir}/*
%{xmldir}/PEAR_PackageFileManager2.xml


%changelog
* Sun Mar 13 2016 spuhler <spuhler> 1.0.4-5.mga6
+ Revision: 990352
- upgrade to vers. 1.0.4

* Mon Feb 01 2016 umeabot <umeabot> 1.0.2-5.mga6
+ Revision: 929844
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 749807
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-3.mga5
+ Revision: 687410
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.0.2-2.mga4
+ Revision: 539379
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 spuhler <spuhler> 1.0.2-1.mga4
+ Revision: 492069
- imported package php-pear-PEAR_PackageFileManager2

